@font-face {
  font-family: "hkyt";
  src: url("../plugin/hkyt.TTF");
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  font-family: Arial, "Microsoft Yahei";
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

/*清除浮动*/
.clearfix:after {
  content: "\200B";
  display: block;
  height: 0;
  clear: both;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

ol,
li {
  list-style: none;
}

section {
  font-size: 0.24rem;
}

img {
  border: 0;
  outline-width: 0px;
  vertical-align: top;
}

html,
body {
  position: relative;
  height: 100%;
}

body {
  background: #eee;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 14px;
  color: #000;
  margin: 0;
  padding: 0;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.loa_header_box {
  background: url(../img/navibarpc/background.png) no-repeat;
  background-size: 100% 100%;
  width: 100%;
  height: 83px;
  position: fixed;
  top: 0;
  z-index: 9;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.loa_logo {
  margin-left: 20px;
}

.loa_media {
  width: 47px;
  display: flex;
  margin-right: 35px;
  justify-content: space-between;
}

.loa_media img {
  cursor: pointer;
}

.header_out {
  top: -70px !important;
  transition: all 0.5s;
}

.loa_header_logo {
  margin: 0 80px 0 50px;
  flex-shrink: 0;
  cursor: pointer;
}

.loa_header_logo img {
  width: 200px;
}

.loa_header_content {
  width: 558px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-right: auto;
  margin-left: 67px;
  flex-shrink: 1;
}

.loa_header_item {
  cursor: pointer;
}

.loa_header_content .loa_header_item img:first-child {
  display: block;
  transition: transform 0.3s ease;
}

.loa_header_content .loa_header_item img:last-child {
  display: none;
}

/* 为选中状态的导航项设置样式 */
.loa_header_content .header_item_curr img:first-child {
  display: none;
}

.loa_header_content .header_item_curr img:last-child {
  display: block;
}

.loa_header_item:hover img:last-child {
  transform: scale(1.02);
}

/* 添加导航栏 hover 时的图片切换效果 */
.loa_header_content
  .loa_header_item:not(.header_item_curr):hover
  img:first-child {
  display: none;
}
.loa_header_content
  .loa_header_item:not(.header_item_curr):hover
  img:last-child {
  display: block;
}

.swiper-out {
  height: 100%;
  width: 100%;
}

.home_bg {
  position: relative;
  height: 100%;
  width: 100%;
  background-size: 100% 100%;
}

.home_bg .video {
  width: 100%;
  min-height: 100%;
  height: auto;
  position: absolute;
  top: 0;
  left: 0;
  -o-object-fit: cover;
  object-fit: cover;
  object-position: top;
}

.home_content {
  position: relative;
  width: 100%;
  height: 100%;
}

@media screen and (min-width: 1800px) {
  .home_bg .video {
    object-position: 100% 85%;
  }
}

.one_bg {
  background: url(../img/indexpc/page_background.png);
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #000;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.middle_top_icon {
  position: absolute;
  left: 50%;
  bottom: 30.74%;
  transform: translate(-50%, 0);
  width: 75.99%;
  height: auto;
}

.middle_top_icon img {
  width: 100%;
  height: 100%;
}

.middle_bottom_icon {
  position: absolute;
  left: 50%;
  bottom: 3.88%;
  transform: translate(-50%, 0);
  width: 3.3%;
  height: auto;
  cursor: pointer;
}

.middle_bottom_icon img {
  width: 100%;
  height: 100%;
}

.next_page {
  position: absolute;
  left: 50%;
  bottom: 11.02%;
  transform: translate(-50%, 0);
  text-align: center;
  vertical-align: middle;
  width: 24.75%;
}

.next_page_btn_group {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.next_page_btn_group:nth-child(1) {
  margin-bottom: 25px;
}

.next_page_btn_group img {
  width: 11.5625vw;
  height: 3.489vw;
}

.next_page img {
  vertical-align: middle;
}

.role_name {
  position: absolute;
  bottom: 79.72%;
  left: 74.64%;
  width: 400px;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 80;
}

.video-control-buttons {
  z-index: 100;
}

.video-btn {
  width: 104px;
  height: 112px;
  background-size: 100% 100%;
  cursor: pointer;
  transition: all 0.3s ease;
  position: absolute;
}

.video-btn:nth-child(1) {
  background: url(../img/indexpc/role1.png) no-repeat;
  left: 78.85%;
  bottom: 64.62%;
}
.video-btn:nth-child(1).active {
  background: url(../img/indexpc/role1_selected.png) no-repeat;
  left: 78.85%;
  bottom: 64.62%;
}
.video-btn:nth-child(2) {
  background: url(../img/indexpc/role2.png) no-repeat;
  left: 84.32%;
  bottom: 56.2%;
}
.video-btn:nth-child(2).active {
  background: url(../img/indexpc/role2_selected.png) no-repeat;
  left: 84.32%;
  bottom: 56.2%;
}
.video-btn:nth-child(3) {
  background: url(../img/indexpc/role3.png) no-repeat;
  left: 78.85%;
  bottom: 50.74%;
}
.video-btn:nth-child(3).active {
  background: url(../img/indexpc/role3_selected.png) no-repeat;
  left: 78.85%;
  bottom: 50.74%;
}
.video-btn:nth-child(4) {
  background: url(../img/indexpc/role4.png) no-repeat;
  left: 84.32%;
  bottom: 41.76%;
}
.video-btn:nth-child(4).active {
  background: url(../img/indexpc/role4_selected.png) no-repeat;
  left: 84.32%;
  bottom: 41.76%;
}
.video-btn:nth-child(5) {
  background: url(../img/indexpc/role5.png) no-repeat;
  left: 78.85%;
  bottom: 35.74%;
}
.video-btn:nth-child(5).active {
  background: url(../img/indexpc/role5_selected.png) no-repeat;
  left: 78.85%;
  bottom: 35.74%;
}
.video-btn:nth-child(6) {
  background: url(../img/indexpc/role6.png) no-repeat;
  background-size: 100% 100%;
  left: 84.32%;
  bottom: 25.93%;
  height: 129px;
}
.video-btn:nth-child(6).active {
  background: url(../img/indexpc/role6_selected.png) no-repeat;
  left: 84.32%;
  bottom: 25.93%;
}
.video-btn:nth-child(7) {
  background: url(../img/indexpc/role7.png) no-repeat;
  left: 78.85%;
  bottom: 21.2%;
}
.video-btn:nth-child(7).active {
  background: url(../img/indexpc/role7_selected.png) no-repeat;
  left: 78.85%;
  bottom: 21.2%;
}
.video-btn:nth-child(8) {
  background: url(../img/indexpc/role8.png) no-repeat;
  left: 84.32%;
  bottom: 13.05%;
  cursor: default;
}

.toast-container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999;
  pointer-events: none;
}

.toast {
  padding: 10px 20px;
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  font-size: 14px;
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.loading-indicator {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  background-color: rgba(0, 0, 0, 0.7);
  padding: 10px 20px;
  border-radius: 5px;
  display: none;
}

.download_info_dialog {
  position: fixed;
  left: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.8);
  width: 100%;
  height: 100%;
  z-index: 100;
  display: none;
}

.download_info_container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.download_info_content {
  background: url(https://file-hwkefu.hwplaygame.com/kefu/20250428/download_popup_new.png)
    no-repeat;
  background-size: 100% 100%;
  width: 53.07vw;
  height: 39.16vw;
  position: relative;
  transform: translateX(5%);
}
.download_progress_container {
  display: block;
  margin-top: 10px;
  width: 50%;
  position: absolute;
  left: 47.5%;
  top: 48%;
  transform: translate(-50%, -50%);
}
.info_close_btn {
  position: absolute;
  top: 10vw;
  right: 7vw;
  cursor: pointer;
}
.download_info_content img {
  width: auto;
  height: auto;
}
.info_arrow {
  position: absolute;
  top: 0;
  right: 0;
  width: 11.04vw;
  height: 11.41vw;
  z-index: 9999;
}